package com.mortals.xhx.module.sms.service.impl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.impl.AbstractCRUDCacheServiceImpl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.xhx.module.sms.dao.SmsSetDao;
import com.mortals.xhx.module.sms.model.SmsSetEntity;
import com.mortals.xhx.module.sms.service.SmsSetService;
import org.springframework.util.ObjectUtils;

import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
* SmsSetService
* 短信设置 service实现
*
* @author zxfei
* @date 2022-01-12
*/
@Service("smsSetService")
public class SmsSetServiceImpl extends AbstractCRUDCacheServiceImpl<SmsSetDao, SmsSetEntity, Long> implements SmsSetService {

    @Override
    public List<SmsSetEntity> find(SmsSetEntity entity) throws AppException {
        List<SmsSetEntity> cacheList = this.getCacheList();

        List<SmsSetEntity> collect = cacheList.parallelStream().filter(f -> f.getSiteId().equals(entity.getSiteId())).collect(Collectors.toList());
        if(ObjectUtils.isEmpty(collect)) return Collections.emptyList();
        return collect;
    }
}